Subject: Re: bug#62994: [PATCH 2/3] Add support for styled underlines on tty frames

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Apr 2023 10:00:46 +0300

> From: Mohsin Kaleem <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 21 Apr 2023 19:43:07 +0100
> 
> Mohsin Kaleem <[email-masked]> writes:
> 
> > Cool, doesn't seem to be in the Emacs repo but I'm guessing it's this
> > [1]. I'll try to adapt to it.
> 
> I still don't get how to apply this to this repo Eli. You mentioned using
> tabs and spaces but every lines aside from a nested expression starts
> with 2 spaces. Some times there's 3 levels deep of expressions all
> indented with spaces and then one tab width just wide enough at 8
> characters to appear like it's indented with spaces atop the previous
> scope.
> 
> Can I just do leading indent with tabs matching current indentation
> level, curly braces 2 space ahead of the parent indent, and spaces ahead
> of tabs to align a parenthesized expression or multi line condition with
> the previous line?

Why are you doing this manually?  Emacs does that for you, as soon as
you set indent-tabs-mode to a non-nil value.  .dir-locals.el in the
Emacs Git repository should do that automatically; it already does on
the release branch and soon will be doing that on the master branch as
well.  And to reformat existing code, make a region around it and
invoke "M-x tabify".

There should be no need to insert tabs and spaces manually.